
from design_instrument import *

print """

This is a design for a pentatonic flute or recorder.

You could give it either a flute or a recorder style mouthpiece.
The flute style mouthpiece being easier to make (google "PVC flute"), 
the recorder easier to play.

This seems to be a popular design for introducing children to music.
It should also be good for improvisation. It is hard to produce an 
un-musical result on this scale.

"""

design_instrument(
    base_note = 'D5',
    base_m = 1,
    outer_diameter_mm = 21.336,   # 1/2" Schedule 40 PVC pipe 
    inner_diameter_mm = 15.7988,  #
    hole_spec = [
        ('E5', 1, 8, []),
        ('G5', 1, 8, [0]),
        ('A5', 1, 8, [0, 0]),
        ('B5', 1, 8, [0, 0, 0]),
    ]
)